Subject: Re: [PATCH] Quieten cache information at boot

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 15 Oct 2007 07:18:34 +1000

On Sun, 2007-10-14 at 15:14 -0500, Olof Johansson wrote:
> On Sun, Oct 14, 2007 at 02:33:17PM -0500, Anton Blanchard wrote:
> > 
> > After 6 years the ppc64 kernel still thinks its important to tell me my
> > cache line size is 0x80 bytes. I think most people who care know that by
> > now. The rest probably cant even understand the hex output.
> > 
> > Since we might have misconfigured firmware or cpus that have a linesize
> > that isnt 128 bytes, I still print it out for those cases. If people
> > would prefer to remove it completely, lets do it.
> 
> Let's just remove it completely. I have yet to see a bug because of it,
> and we have 0x40 byte cache lines.

I did have issues because of incorrect cache line sizes recently... this
printk was actually useful for me :-)

Ben.